Index: ftp/ftp.c
===================================================================
RCS file: /cvs/src/usr.bin/ftp/ftp.c,v
retrieving revision 1.6
diff -u -u -r1.6 ftp.c
--- ftp/ftp.c	19 Jun 2004 18:55:48 -0000	1.6
+++ ftp/ftp.c	7 Nov 2004 20:02:14 -0000
@@ -124,7 +124,7 @@
 
 	res = res0;
 	if (res->ai_canonname)
-		(void) strncpy(hostnamebuf, res->ai_canonname,
+		strncpy(hostnamebuf, res->ai_canonname,
 			       sizeof(hostnamebuf));
 	hostname = hostnamebuf;
 	while (1) {
@@ -161,7 +161,7 @@
 		      {
 			res = res->ai_next;
 			if (res) {
-				(void)close(s);
+				close(s);
 				continue;
 			}
 			warn("bind");
@@ -182,7 +182,7 @@
 				    hname, sizeof(hname) - 1, NULL, 0,
 				    NI_NUMERICHOST);
 			printf("Trying %s...\n", hname);
-			(void)close(s);
+			close(s);
 			continue;
 		}
 		warn("connect");
@@ -210,9 +210,9 @@
 	if (cin == NULL || cout == NULL) {
 		warnx("fdopen failed.");
 		if (cin)
-			(void)fclose(cin);
+			fclose(cin);
 		if (cout)
-			(void)fclose(cout);
+			fclose(cout);
 		code = -1;
 		goto bad;
 	}
@@ -220,9 +220,9 @@
 		printf("Connected to %s.\n", hostname);
 	if (getreply(0) > 2) { 	/* read startup message from server */
 		if (cin)
-			(void)fclose(cin);
+			fclose(cin);
 		if (cout)
-			(void)fclose(cout);
+			fclose(cout);
 		code = -1;
 		goto bad;
 	}
@@ -239,7 +239,7 @@
 
 	return (hostname);
 bad:
-	(void)close(s);
+	close(s);
 	return ((char *)0);
 }
 
@@ -249,7 +249,7 @@
 
 	alarmtimer(0);
 	putchar('\n');
-	(void)fflush(stdout);
+	fflush(stdout);
 	abrtflag++;
 	if (ptflag)
 		longjmp(ptabort, 1);
@@ -274,7 +274,7 @@
 			vprintf(fmt, ap);
 		va_end(ap);
 		putchar('\n');
-		(void)fflush(stdout);
+		fflush(stdout);
 	}
 	if (cout == NULL) {
 		warnx("No control connection for command.");
@@ -286,12 +286,12 @@
 	vfprintf(cout, fmt, ap);
 	va_end(ap);
 	fputs("\r\n", cout);
-	(void)fflush(cout);
+	fflush(cout);
 	cpend = 1;
 	r = getreply(!strcmp(fmt, "QUIT"));
 	if (abrtflag && oldintr != SIG_IGN)
 		(*oldintr)(SIGINT);
-	(void)signal(SIGINT, oldintr);
+	signal(SIGINT, oldintr);
 	return (r);
 }
 
@@ -319,13 +319,13 @@
 				case WONT:
 					c = getc(cin);
 					fprintf(cout, "%c%c%c", IAC, DONT, c);
-					(void)fflush(cout);
+					fflush(cout);
 					break;
 				case DO:
 				case DONT:
 					c = getc(cin);
 					fprintf(cout, "%c%c%c", IAC, WONT, c);
-					(void)fflush(cout);
+					fflush(cout);
 					break;
 				default:
 					break;
@@ -335,7 +335,7 @@
 			dig++;
 			if (c == EOF) {
 				if (expecteof) {
-					(void)signal(SIGINT, oldintr);
+					signal(SIGINT, oldintr);
 					code = 221;
 					return (0);
 				}
@@ -343,7 +343,7 @@
 				if (verbose) {
 					puts(
 "421 Service not available, remote server has closed connection.");
-					(void)fflush(stdout);
+					fflush(stdout);
 				}
 				code = 421;
 				return (4);
@@ -353,7 +353,7 @@
 				if (proxflag &&
 				   (dig == 1 || (dig == 5 && verbose == 0)))
 					printf("%s:", hostname);
-				(void)putchar(c);
+				putchar(c);
 			}
 			if (dig < 4 && isdigit((unsigned char)c))
 				code = code * 10 + (c - '0');
@@ -399,8 +399,8 @@
 				*cp++ = c;
 		}
 		if (verbose > 0 || (verbose > -1 && n == '5')) {
-			(void)putchar(c);
-			(void)fflush (stdout);
+			putchar(c);
+			fflush (stdout);
 		}
 		if (line == 0) {
 			size_t len = cp - current_line;
@@ -408,7 +408,7 @@
 			if (len > sizeof(reply_string))
 				len = sizeof(reply_string);
 
-			(void)strncpy(reply_string, current_line, len);
+			strncpy(reply_string, current_line, len);
 			reply_string[len] = '\0';
 		}
 		if (continuation && code != originalcode) {
@@ -419,7 +419,7 @@
 		*cp = '\0';
 		if (n != '1')
 			cpend = 0;
-		(void)signal(SIGINT, oldintr);
+		signal(SIGINT, oldintr);
 		if (code == 421 || originalcode == 421)
 			lostpeer();
 		if (abrtflag && oldintr != cmdabort && oldintr != SIG_IGN)
@@ -448,7 +448,7 @@
 	mflag = 0;
 	abrtflag = 0;
 	puts("\nsend aborted\nwaiting for remote to finish abort.");
-	(void)fflush(stdout);
+	fflush(stdout);
 	longjmp(sendabort, 1);
 }
 
@@ -468,13 +468,13 @@
 	static char *buf;
 
 #ifdef __GNUC__			/* XXX: to shut up gcc warnings */
-	(void)&fin;
-	(void)&dout;
-	(void)&closefunc;
-	(void)&oldinti;
-	(void)&oldintr;
-	(void)&oldintp;
-	(void)&lmode;
+	&fin;
+	&dout;
+	&closefunc;
+	&oldinti;
+	&oldintr;
+	&oldintp;
+	&lmode;
 #endif
 
 	hashbytes = mark;
@@ -502,18 +502,18 @@
 	lmode = "w";
 	if (setjmp(sendabort)) {
 		while (cpend) {
-			(void)getreply(0);
+			getreply(0);
 		}
 		if (data >= 0) {
-			(void)close(data);
+			close(data);
 			data = -1;
 		}
 		if (oldintr)
-			(void)signal(SIGINT, oldintr);
+			signal(SIGINT, oldintr);
 		if (oldintp)
-			(void)signal(SIGPIPE, oldintp);
+			signal(SIGPIPE, oldintp);
 		if (oldinti)
-			(void)signal(SIGINFO, oldinti);
+			signal(SIGINFO, oldinti);
 		code = -1;
 		goto cleanupsend;
 	}
@@ -527,9 +527,9 @@
 		fin = popen(local + 1, "r");
 		if (fin == NULL) {
 			warn("%s", local + 1);
-			(void)signal(SIGINT, oldintr);
-			(void)signal(SIGPIPE, oldintp);
-			(void)signal(SIGINFO, oldinti);
+			signal(SIGINT, oldintr);
+			signal(SIGPIPE, oldintp);
+			signal(SIGINFO, oldinti);
 			code = -1;
 			goto cleanupsend;
 		}
@@ -539,16 +539,16 @@
 		fin = fopen(local, "r");
 		if (fin == NULL) {
 			warn("local: %s", local);
-			(void)signal(SIGINT, oldintr);
-			(void)signal(SIGINFO, oldinti);
+			signal(SIGINT, oldintr);
+			signal(SIGINFO, oldinti);
 			code = -1;
 			goto cleanupsend;
 		}
 		closefunc = fclose;
 		if (fstat(fileno(fin), &st) < 0 || !S_ISREG(st.st_mode)) {
 			printf("%s: not a plain file.\n", local);
-			(void)signal(SIGINT, oldintr);
-			(void)signal(SIGINFO, oldinti);
+			signal(SIGINT, oldintr);
+			signal(SIGINFO, oldinti);
 			fclose(fin);
 			code = -1;
 			goto cleanupsend;
@@ -556,10 +556,10 @@
 		filesize = st.st_size;
 	}
 	if (initconn()) {
-		(void)signal(SIGINT, oldintr);
-		(void)signal(SIGINFO, oldinti);
+		signal(SIGINT, oldintr);
+		signal(SIGINFO, oldinti);
 		if (oldintp)
-			(void)signal(SIGPIPE, oldintp);
+			signal(SIGPIPE, oldintp);
 		code = -1;
 		if (closefunc != NULL)
 			(*closefunc)(fin);
@@ -569,7 +569,7 @@
 		st.st_blksize = BUFSIZ;
 	if (st.st_blksize > bufsize) {
 		if (buf)
-			(void)free(buf);
+			free(buf);
 		buf = malloc((unsigned)st.st_blksize);
 		if (buf == NULL) {
 			warn("malloc");
@@ -611,20 +611,20 @@
 	}
 	if (remote) {
 		if (command("%s %s", cmd, remote) != PRELIM) {
-			(void)signal(SIGINT, oldintr);
-			(void)signal(SIGINFO, oldinti);
+			signal(SIGINT, oldintr);
+			signal(SIGINFO, oldinti);
 			if (oldintp)
-				(void)signal(SIGPIPE, oldintp);
+				signal(SIGPIPE, oldintp);
 			if (closefunc != NULL)
 				(*closefunc)(fin);
 			goto cleanupsend;
 		}
 	} else
 		if (command("%s", cmd) != PRELIM) {
-			(void)signal(SIGINT, oldintr);
-			(void)signal(SIGINFO, oldinti);
+			signal(SIGINT, oldintr);
+			signal(SIGINFO, oldinti);
 			if (oldintp)
-				(void)signal(SIGPIPE, oldintp);
+				signal(SIGPIPE, oldintp);
 			if (closefunc != NULL)
 				(*closefunc)(fin);
 			goto cleanupsend;
@@ -646,17 +646,17 @@
 					break;
 			if (hash && (!progress || filesize < 0) ) {
 				while (bytes >= hashbytes) {
-					(void)putchar('#');
+					putchar('#');
 					hashbytes += mark;
 				}
-				(void)fflush(stdout);
+				fflush(stdout);
 			}
 		}
 		if (hash && (!progress || filesize < 0) && bytes > 0) {
 			if (bytes < mark)
-				(void)putchar('#');
-			(void)putchar('\n');
-			(void)fflush(stdout);
+				putchar('#');
+			putchar('\n');
+			fflush(stdout);
 		}
 		if (c < 0)
 			warn("local: %s", local);
@@ -672,29 +672,29 @@
 			if (c == '\n') {
 				while (hash && (!progress || filesize < 0) &&
 				    (bytes >= hashbytes)) {
-					(void)putchar('#');
-					(void)fflush(stdout);
+					putchar('#');
+					fflush(stdout);
 					hashbytes += mark;
 				}
 				if (ferror(dout))
 					break;
-				(void)putc('\r', dout);
+				putc('\r', dout);
 				bytes++;
 			}
-			(void)putc(c, dout);
+			putc(c, dout);
 			bytes++;
 #if 0	/* this violates RFC */
 			if (c == '\r') {
-				(void)putc('\0', dout);
+				putc('\0', dout);
 				bytes++;
 			}
 #endif
 		}
 		if (hash && (!progress || filesize < 0)) {
 			if (bytes < hashbytes)
-				(void)putchar('#');
-			(void)putchar('\n');
-			(void)fflush(stdout);
+				putchar('#');
+			putchar('\n');
+			fflush(stdout);
 		}
 		if (ferror(fin))
 			warn("local: %s", local);
@@ -708,31 +708,31 @@
 	progressmeter(1);
 	if (closefunc != NULL)
 		(*closefunc)(fin);
-	(void)fclose(dout);
-	(void)getreply(0);
-	(void)signal(SIGINT, oldintr);
-	(void)signal(SIGINFO, oldinti);
+	fclose(dout);
+	getreply(0);
+	signal(SIGINT, oldintr);
+	signal(SIGINFO, oldinti);
 	if (oldintp)
-		(void)signal(SIGPIPE, oldintp);
+		signal(SIGPIPE, oldintp);
 	if (bytes > 0)
 		ptransfer(0);
 	goto cleanupsend;
 abort:
-	(void)signal(SIGINT, oldintr);
-	(void)signal(SIGINFO, oldinti);
+	signal(SIGINT, oldintr);
+	signal(SIGINFO, oldinti);
 	if (oldintp)
-		(void)signal(SIGPIPE, oldintp);
+		signal(SIGPIPE, oldintp);
 	if (!cpend) {
 		code = -1;
 		return;
 	}
 	if (data >= 0) {
-		(void)close(data);
+		close(data);
 		data = -1;
 	}
 	if (dout)
-		(void)fclose(dout);
-	(void)getreply(0);
+		fclose(dout);
+	getreply(0);
 	code = -1;
 	if (closefunc != NULL && fin != NULL)
 		(*closefunc)(fin);
@@ -753,7 +753,7 @@
 	mflag = 0;
 	abrtflag = 0;
 	puts("\nreceive aborted\nwaiting for remote to finish abort.");
-	(void)fflush(stdout);
+	fflush(stdout);
 	longjmp(recvabort, 1);
 }
 
@@ -776,13 +776,13 @@
 	int opreserve;
 
 #ifdef __GNUC__			/* XXX: to shut up gcc warnings */
-	(void)&local;
-	(void)&fout;
-	(void)&din;
-	(void)&closefunc;
-	(void)&oldinti;
-	(void)&oldintr;
-	(void)&oldintp;
+	&local;
+	&fout;
+	&din;
+	&closefunc;
+	&oldinti;
+	&oldintr;
+	&oldintp;
 #endif
 
 	fout = NULL;
@@ -812,16 +812,16 @@
 	tcrflag = !crflag && is_retr;
 	if (setjmp(recvabort)) {
 		while (cpend) {
-			(void)getreply(0);
+			getreply(0);
 		}
 		if (data >= 0) {
-			(void)close(data);
+			close(data);
 			data = -1;
 		}
 		if (oldintr)
-			(void)signal(SIGINT, oldintr);
+			signal(SIGINT, oldintr);
 		if (oldinti)
-			(void)signal(SIGINFO, oldinti);
+			signal(SIGINFO, oldinti);
 		progress = oprogress;
 		preserve = opreserve;
 		code = -1;
@@ -835,8 +835,8 @@
 
 			if (errno != ENOENT && errno != EACCES) {
 				warn("local: %s", local);
-				(void)signal(SIGINT, oldintr);
-				(void)signal(SIGINFO, oldinti);
+				signal(SIGINT, oldintr);
+				signal(SIGINFO, oldinti);
 				code = -1;
 				return;
 			}
@@ -847,30 +847,30 @@
 				*dir = '/';
 			if (d < 0) {
 				warn("local: %s", local);
-				(void)signal(SIGINT, oldintr);
-				(void)signal(SIGINFO, oldinti);
+				signal(SIGINT, oldintr);
+				signal(SIGINFO, oldinti);
 				code = -1;
 				return;
 			}
 			if (!runique && errno == EACCES &&
 			    chmod(local, 0600) < 0) {
 				warn("local: %s", local);
-				(void)signal(SIGINT, oldintr);
-				(void)signal(SIGINFO, oldinti);
+				signal(SIGINT, oldintr);
+				signal(SIGINFO, oldinti);
 				code = -1;
 				return;
 			}
 			if (runique && errno == EACCES &&
 			   (local = gunique(local)) == NULL) {
-				(void)signal(SIGINT, oldintr);
-				(void)signal(SIGINFO, oldinti);
+				signal(SIGINT, oldintr);
+				signal(SIGINFO, oldinti);
 				code = -1;
 				return;
 			}
 		}
 		else if (runique && (local = gunique(local)) == NULL) {
-			(void)signal(SIGINT, oldintr);
-			(void)signal(SIGINFO, oldinti);
+			signal(SIGINT, oldintr);
+			signal(SIGINFO, oldinti);
 			code = -1;
 			return;
 		}
@@ -884,8 +884,8 @@
 		filesize = remotesize(remote, 0);
 	}
 	if (initconn()) {
-		(void)signal(SIGINT, oldintr);
-		(void)signal(SIGINFO, oldinti);
+		signal(SIGINT, oldintr);
+		signal(SIGINFO, oldinti);
 		code = -1;
 		return;
 	}
@@ -896,14 +896,14 @@
 		return;
 	if (remote) {
 		if (command("%s %s", cmd, remote) != PRELIM) {
-			(void)signal(SIGINT, oldintr);
-			(void)signal(SIGINFO, oldinti);
+			signal(SIGINT, oldintr);
+			signal(SIGINFO, oldinti);
 			return;
 		}
 	} else {
 		if (command("%s", cmd) != PRELIM) {
-			(void)signal(SIGINT, oldintr);
-			(void)signal(SIGINFO, oldinti);
+			signal(SIGINT, oldintr);
+			signal(SIGINFO, oldinti);
 			return;
 		}
 	}
@@ -936,7 +936,7 @@
 		st.st_blksize = BUFSIZ;
 	if (st.st_blksize > bufsize) {
 		if (buf)
-			(void)free(buf);
+			free(buf);
 		buf = malloc((unsigned)st.st_blksize);
 		if (buf == NULL) {
 			warn("malloc");
@@ -970,17 +970,17 @@
 			bytes += c;
 			if (hash && (!progress || filesize < 0)) {
 				while (bytes >= hashbytes) {
-					(void)putchar('#');
+					putchar('#');
 					hashbytes += mark;
 				}
-				(void)fflush(stdout);
+				fflush(stdout);
 			}
 		}
 		if (hash && (!progress || filesize < 0) && bytes > 0) {
 			if (bytes < mark)
-				(void)putchar('#');
-			(void)putchar('\n');
-			(void)fflush(stdout);
+				putchar('#');
+			putchar('\n');
+			fflush(stdout);
 		}
 		if (c < 0) {
 			if (errno != EPIPE)
@@ -1025,15 +1025,15 @@
 			while (c == '\r') {
 				while (hash && (!progress || filesize < 0) &&
 				    (bytes >= hashbytes)) {
-					(void)putchar('#');
-					(void)fflush(stdout);
+					putchar('#');
+					fflush(stdout);
 					hashbytes += mark;
 				}
 				bytes++;
 				if ((c = getc(din)) != '\n' || tcrflag) {
 					if (ferror(fout))
 						goto break2;
-					(void)putc('\r', fout);
+					putc('\r', fout);
 					if (c == '\0') {
 						bytes++;
 						goto contin2;
@@ -1042,7 +1042,7 @@
 						goto contin2;
 				}
 			}
-			(void)putc(c, fout);
+			putc(c, fout);
 			bytes++;
 	contin2:	;
 		}
@@ -1054,9 +1054,9 @@
 		}
 		if (hash && (!progress || filesize < 0)) {
 			if (bytes < hashbytes)
-				(void)putchar('#');
-			(void)putchar('\n');
-			(void)fflush(stdout);
+				putchar('#');
+			putchar('\n');
+			fflush(stdout);
 		}
 		if (ferror(din)) {
 			if (errno != EPIPE)
@@ -1072,19 +1072,19 @@
 	preserve = opreserve;
 	if (closefunc != NULL)
 		(*closefunc)(fout);
-	(void)signal(SIGINT, oldintr);
-	(void)signal(SIGINFO, oldinti);
+	signal(SIGINT, oldintr);
+	signal(SIGINFO, oldinti);
 	if (oldintp)
-		(void)signal(SIGPIPE, oldintp);
-	(void)fclose(din);
-	(void)getreply(0);
+		signal(SIGPIPE, oldintp);
+	fclose(din);
+	getreply(0);
 	if (bytes >= 0 && is_retr) {
 		if (bytes > 0)
 			ptransfer(0);
 		if (preserve && (closefunc == fclose)) {
 			mtime = remotemodtime(remote, 0);
 			if (mtime != -1) {
-				(void)gettimeofday(&tval[0],
+				gettimeofday(&tval[0],
 				    (struct timezone *)0);
 				tval[1].tv_sec = mtime;
 				tval[1].tv_usec = 0;
@@ -1105,29 +1105,29 @@
 	progress = oprogress;
 	preserve = opreserve;
 	if (oldintp)
-		(void)signal(SIGPIPE, oldintp);
-	(void)signal(SIGINT, SIG_IGN);
+		signal(SIGPIPE, oldintp);
+	signal(SIGINT, SIG_IGN);
 	if (!cpend) {
 		code = -1;
-		(void)signal(SIGINT, oldintr);
-		(void)signal(SIGINFO, oldinti);
+		signal(SIGINT, oldintr);
+		signal(SIGINFO, oldinti);
 		return;
 	}
 
 	abort_remote(din);
 	code = -1;
 	if (data >= 0) {
-		(void)close(data);
+		close(data);
 		data = -1;
 	}
 	if (closefunc != NULL && fout != NULL)
 		(*closefunc)(fout);
 	if (din)
-		(void)fclose(din);
+		fclose(din);
 	if (bytes > 0)
 		ptransfer(0);
-	(void)signal(SIGINT, oldintr);
-	(void)signal(SIGINFO, oldinti);
+	signal(SIGINT, oldintr);
+	signal(SIGINFO, oldinti);
 }
 
 /*
@@ -1156,7 +1156,7 @@
 
 	if (passivemode) {
 #ifdef __GNUC__			/* XXX: to shut up gcc warnings */
-		(void)&pasvcmd;
+		&pasvcmd;
 #endif
 		data_addr = myctladdr;
 		data = socket(data_addr.su_family, SOCK_STREAM, 0);
@@ -1367,7 +1367,7 @@
 	if (sendport)
 		data_addr.su_port = 0;	/* let system pick one */
 	if (data != -1)
-		(void)close(data);
+		close(data);
 	data = socket(data_addr.su_family, SOCK_STREAM, 0);
 	if (data < 0) {
 		warn("socket");
@@ -1511,7 +1511,7 @@
 #endif
 	return (0);
 bad:
-	(void)close(data), data = -1;
+	close(data), data = -1;
 	if (tmpno)
 		sendport = 1;
 	return (1);
@@ -1531,10 +1531,10 @@
 	s = accept(data, (struct sockaddr *) &from, &fromlen);
 	if (s < 0) {
 		warn("accept");
-		(void)close(data), data = -1;
+		close(data), data = -1;
 		return (NULL);
 	}
-	(void)close(data);
+	close(data);
 	data = s;
 #ifdef IP_TOS
 	if (data_addr.su_family == AF_INET)
@@ -1607,7 +1607,7 @@
 	ip->connect = connected;
 	connected = op->connect;
 	if (hostname) {
-		(void)strncpy(ip->name, hostname, sizeof(ip->name) - 1);
+		strncpy(ip->name, hostname, sizeof(ip->name) - 1);
 		ip->name[sizeof(ip->name) - 1] = '\0';
 	} else
 		ip->name[0] = '\0';
@@ -1634,21 +1634,21 @@
 	mcase = op->mcse;
 	ip->ntflg = ntflag;
 	ntflag = op->ntflg;
-	(void)strncpy(ip->nti, ntin, sizeof(ip->nti) - 1);
+	strncpy(ip->nti, ntin, sizeof(ip->nti) - 1);
 	(ip->nti)[sizeof(ip->nti) - 1] = '\0';
-	(void)strcpy(ntin, op->nti);
-	(void)strncpy(ip->nto, ntout, sizeof(ip->nto) - 1);
+	strcpy(ntin, op->nti);
+	strncpy(ip->nto, ntout, sizeof(ip->nto) - 1);
 	(ip->nto)[sizeof(ip->nto) - 1] = '\0';
-	(void)strcpy(ntout, op->nto);
+	strcpy(ntout, op->nto);
 	ip->mapflg = mapflag;
 	mapflag = op->mapflg;
-	(void)strncpy(ip->mi, mapin, sizeof(ip->mi) - 1);
+	strncpy(ip->mi, mapin, sizeof(ip->mi) - 1);
 	(ip->mi)[sizeof(ip->mi) - 1] = '\0';
-	(void)strcpy(mapin, op->mi);
-	(void)strncpy(ip->mo, mapout, sizeof(ip->mo) - 1);
+	strcpy(mapin, op->mi);
+	strncpy(ip->mo, mapout, sizeof(ip->mo) - 1);
 	(ip->mo)[sizeof(ip->mo) - 1] = '\0';
-	(void)strcpy(mapout, op->mo);
-	(void)signal(SIGINT, oldintr);
+	strcpy(mapout, op->mo);
+	signal(SIGINT, oldintr);
 	if (abrtflag) {
 		abrtflag = 0;
 		(*oldintr)(SIGINT);
@@ -1661,7 +1661,7 @@
 
 	alarmtimer(0);
 	putchar('\n');
-	(void)fflush(stdout);
+	fflush(stdout);
 	ptabflg++;
 	mflag = 0;
 	abrtflag = 0;
@@ -1678,8 +1678,8 @@
 	fd_set mask;
 
 #ifdef __GNUC__			/* XXX: to shut up gcc warnings */
-	(void)&oldintr;
-	(void)&cmd2;
+	&oldintr;
+	&cmd2;
 #endif
 
 	oldintr = NULL;
@@ -1719,7 +1719,7 @@
 		goto abort;
 	oldintr = signal(SIGINT, abortpt);
 	if (command("%s %s", cmd, remote) != PRELIM) {
-		(void)signal(SIGINT, oldintr);
+		signal(SIGINT, oldintr);
 		pswitch(1);
 		return;
 	}
@@ -1729,16 +1729,16 @@
 	if (command("%s %s", cmd2, local) != PRELIM)
 		goto abort;
 	ptflag++;
-	(void)getreply(0);
+	getreply(0);
 	pswitch(0);
-	(void)getreply(0);
-	(void)signal(SIGINT, oldintr);
+	getreply(0);
+	signal(SIGINT, oldintr);
 	pswitch(1);
 	ptflag = 0;
 	printf("local: %s remote: %s\n", local, remote);
 	return;
 abort:
-	(void)signal(SIGINT, SIG_IGN);
+	signal(SIGINT, SIG_IGN);
 	ptflag = 0;
 	if (strcmp(cmd, "RETR") && !proxy)
 		pswitch(1);
@@ -1753,7 +1753,7 @@
 		pswitch(1);
 		if (ptabflg)
 			code = -1;
-		(void)signal(SIGINT, oldintr);
+		signal(SIGINT, oldintr);
 		return;
 	}
 	if (cpend)
@@ -1767,7 +1767,7 @@
 			pswitch(1);
 			if (ptabflg)
 				code = -1;
-			(void)signal(SIGINT, oldintr);
+			signal(SIGINT, oldintr);
 			return;
 		}
 	}
@@ -1785,15 +1785,15 @@
 				code = -1;
 			lostpeer();
 		}
-		(void)getreply(0);
-		(void)getreply(0);
+		getreply(0);
+		getreply(0);
 	}
 	if (proxy)
 		pswitch(0);
 	pswitch(1);
 	if (ptabflg)
 		code = -1;
-	(void)signal(SIGINT, oldintr);
+	signal(SIGINT, oldintr);
 }
 
 void
@@ -1811,7 +1811,7 @@
 			lostpeer();
 		}
 		else if (nfnd) {
-			(void)getreply(0);
+			getreply(0);
 		}
 	}
 }
@@ -1833,7 +1833,7 @@
 		warn("local: %s", local);
 		return ((char *) 0);
 	}
-	(void)strcpy(new, local);
+	strcpy(new, local);
 	cp = new + strlen(new);
 	*cp++ = '.';
 	while (!d) {
@@ -1883,7 +1883,7 @@
 	if (send(fileno(cout), buf, 3, MSG_OOB) != 3)
 		warn("abort");
 	fprintf(cout, "%cABOR\r\n", DM);
-	(void)fflush(cout);
+	fflush(cout);
 	FD_ZERO(&mask);
 	FD_SET(fileno(cin), &mask);
 	if (din) {
@@ -1903,9 +1903,9 @@
 	}
 	if (getreply(0) == ERROR && code == 552) {
 		/* 552 needed for nic style abort */
-		(void)getreply(0);
+		getreply(0);
 	}
-	(void)getreply(0);
+	getreply(0);
 }
 
 void
Index: ftp/main.c
===================================================================
RCS file: /cvs/src/usr.bin/ftp/main.c,v
retrieving revision 1.3
diff -u -u -r1.3 main.c
--- ftp/main.c	4 Oct 2003 20:36:45 -0000	1.3
+++ ftp/main.c	7 Nov 2004 20:02:14 -0000
@@ -76,7 +76,7 @@
 	int dumbterm;
 	char *src_addr = NULL;
 
-	(void) setlocale(LC_ALL, "");
+	setlocale(LC_ALL, "");
 
 	ftpport = "ftp";
 	httpport = "http";
@@ -251,15 +251,15 @@
 		pw = getpwuid(getuid());
 	if (pw != NULL) {
 		home = homedir;
-		(void)strcpy(home, pw->pw_dir);
+		strcpy(home, pw->pw_dir);
 	}
 
 	setttywidth(0);
-	(void)signal(SIGWINCH, setttywidth);
+	signal(SIGWINCH, setttywidth);
 
 #ifdef __GNUC__			/* XXX: to shut up gcc warnings */
-	(void)&argc;
-	(void)&argv;
+	&argc;
+	&argv;
 #endif
 
 	if (argc > 0) {
@@ -272,12 +272,12 @@
 			char *xargv[4], **xargp = xargv;
 
 #ifdef __GNUC__			/* XXX: to shut up gcc warnings */
-			(void)&xargp;
+			&xargp;
 #endif
 			if (setjmp(toplevel))
 				exit(0);
-			(void)signal(SIGINT, (sig_t)intr);
-			(void)signal(SIGPIPE, (sig_t)lostpeer);
+			signal(SIGINT, (sig_t)intr);
+			signal(SIGPIPE, (sig_t)lostpeer);
 			*xargp++ = __progname;
 			*xargp++ = argv[0];		/* host */
 			if (argc > 1)
@@ -291,8 +291,8 @@
 #endif /* !SMALL */
 	top = setjmp(toplevel) == 0;
 	if (top) {
-		(void)signal(SIGINT, (sig_t)intr);
-		(void)signal(SIGPIPE, (sig_t)lostpeer);
+		signal(SIGINT, (sig_t)intr);
+		signal(SIGPIPE, (sig_t)lostpeer);
 	}
 	for (;;) {
 		cmdscanner(top);
@@ -315,13 +315,13 @@
 	alarmtimer(0);
 	if (connected) {
 		if (cout != NULL) {
-			(void)shutdown(fileno(cout), 1+1);
-			(void)fclose(cout);
+			shutdown(fileno(cout), 1+1);
+			fclose(cout);
 			cout = NULL;
 		}
 		if (data >= 0) {
-			(void)shutdown(data, 1+1);
-			(void)close(data);
+			shutdown(data, 1+1);
+			close(data);
 			data = -1;
 		}
 		connected = 0;
@@ -329,8 +329,8 @@
 	pswitch(1);
 	if (connected) {
 		if (cout != NULL) {
-			(void)shutdown(fileno(cout), 1+1);
-			(void)fclose(cout);
+			shutdown(fileno(cout), 1+1);
+			fclose(cout);
 			cout = NULL;
 		}
 		connected = 0;
@@ -362,14 +362,14 @@
 	    && !editing
 #endif /* !SMALL */
 	    )
-		(void)putchar('\n');
+		putchar('\n');
 	for (;;) {
 #ifndef SMALL
 		if (!editing) {
 #endif /* !SMALL */
 			if (fromatty) {
 				fputs(prompt(), stdout);
-				(void)fflush(stdout);
+				fflush(stdout);
 			}
 			if (fgets(line, sizeof(line), stdin) == NULL)
 				quit(0, 0);
@@ -433,12 +433,12 @@
 		confirmrest = 0;
 		(*c->c_handler)(margc, margv);
 		if (bell && c->c_bell)
-			(void)putchar('\007');
+			putchar('\007');
 		if (c->c_handler != help)
 			break;
 	}
-	(void)signal(SIGINT, (sig_t)intr);
-	(void)signal(SIGPIPE, (sig_t)lostpeer);
+	signal(SIGINT, (sig_t)intr);
+	signal(SIGPIPE, (sig_t)lostpeer);
 }
 
 struct cmd *
@@ -692,7 +692,7 @@
 void
 usage(void)
 {
-	(void)fprintf(stderr,
+	fprintf(stderr,
 	    "usage: %s [-46adeginptUvV] [-P port] [-s src_addr] [host [port]]\n"
 	    "       %s host:path[/]\n"
 	    "       %s ftp://host[:port]/path[/]\n"
Index: ftp/ruserpass.c
===================================================================
RCS file: /cvs/src/usr.bin/ftp/ruserpass.c,v
retrieving revision 1.3
diff -u -u -r1.3 ruserpass.c
--- ftp/ruserpass.c	4 Oct 2003 20:36:45 -0000	1.3
+++ ftp/ruserpass.c	7 Nov 2004 20:02:14 -0000
@@ -93,7 +93,7 @@
 	if (hdir == NULL)
 		hdir = ".";
 	if (strlen(hdir) + sizeof(".netrc") < sizeof(buf)) {
-		(void)snprintf(buf, sizeof buf, "%s/.netrc", hdir);
+		snprintf(buf, sizeof buf, "%s/.netrc", hdir);
 	} else {
 		warnx("%s/.netrc: %s", hdir, strerror(ENAMETOOLONG));
 		return (0);
@@ -184,7 +184,7 @@
 			break;
 		case MACDEF:
 			if (proxy) {
-				(void)fclose(cfile);
+				fclose(cfile);
 				return (0);
 			}
 			while ((c=getc(cfile)) != EOF)
@@ -255,10 +255,10 @@
 		goto done;
 	}
 done:
-	(void)fclose(cfile);
+	fclose(cfile);
 	return (0);
 bad:
-	(void)fclose(cfile);
+	fclose(cfile);
 	return (-1);
 }
 
Index: ftp/util.c
===================================================================
RCS file: /cvs/src/usr.bin/ftp/util.c,v
retrieving revision 1.3
diff -u -u -r1.3 util.c
--- ftp/util.c	4 Oct 2003 20:36:45 -0000	1.3
+++ ftp/util.c	7 Nov 2004 20:02:14 -0000
@@ -86,7 +86,7 @@
 		return;
 	}
 	if (argc < 2)
-		(void)another(&argc, &argv, "to");
+		another(&argc, &argv, "to");
 	if (argc < 2 || argc > 3) {
 		printf("usage: %s host-name [port]\n", argv[0]);
 		code = -1;
@@ -122,14 +122,14 @@
 		/*
 		 * Set up defaults for FTP.
 		 */
-		(void)strcpy(typename, "ascii"), type = TYPE_A;
+		strcpy(typename, "ascii"), type = TYPE_A;
 		curtype = TYPE_A;
-		(void)strcpy(formname, "non-print"), form = FORM_N;
-		(void)strcpy(modename, "stream"), mode = MODE_S;
-		(void)strcpy(structname, "file"), stru = STRU_F;
-		(void)strcpy(bytename, "8"), bytesize = 8;
+		strcpy(formname, "non-print"), form = FORM_N;
+		strcpy(modename, "stream"), mode = MODE_S;
+		strcpy(structname, "file"), stru = STRU_F;
+		strcpy(bytename, "8"), bytesize = 8;
 		if (autologin)
-			(void)login(argv[1], NULL, NULL);
+			login(argv[1], NULL, NULL);
 
 		overbose = verbose;
 		if (debug == 0)
@@ -163,7 +163,7 @@
 			 * for text files unless changed by the user.
 			 */
 			type = 0;
-			(void)strcpy(typename, "binary");
+			strcpy(typename, "binary");
 			if (overbose)
 			    printf("Using %s mode to transfer files.\n",
 				typename);
@@ -277,7 +277,7 @@
 	connected = -1;
 	for (n = 0; n < macnum; ++n) {
 		if (!strcmp("init", macros[n].mac_name)) {
-			(void)strcpy(line, "$init");
+			strcpy(line, "$init");
 			makeargv();
 			domacro(margc, margv);
 			break;
@@ -335,7 +335,7 @@
                         args = NULL;
                 else {
                         if (ftemp) {
-                                (void)fclose(ftemp);
+                                fclose(ftemp);
                                 ftemp = NULL;
                         }
                 }
@@ -349,7 +349,7 @@
                 return (cp);
         }
         if (ftemp == NULL) {
-                (void)snprintf(temp, sizeof(temp), "%s/%s", tmpdir, TMPFILE);
+                snprintf(temp, sizeof(temp), "%s/%s", tmpdir, TMPFILE);
                 if ((fd = mkstemp(temp)) < 0) {
                         warn("unable to create temporary file %s", temp);
                         return (NULL);
@@ -372,7 +372,7 @@
                 verbose = oldverbose;
 		hash = oldhash;
                 ftemp = fopen(temp, "r");
-                (void)unlink(temp);
+                unlink(temp);
                 if (ftemp == NULL) {
 			if (errbuf == NULL)
 				puts("can't find list of remote files, oops.");
@@ -383,7 +383,7 @@
                 }
         }
         if (fgets(buf, sizeof(buf), ftemp) == NULL) {
-                (void)fclose(ftemp);
+                fclose(ftemp);
 		ftemp = NULL;
                 return (NULL);
         }
@@ -400,7 +400,7 @@
 	if (!interactive || confirmrest)
 		return (1);
 	printf("%s %s? ", cmd, file);
-	(void)fflush(stdout);
+	fflush(stdout);
 	if (fgets(line, sizeof(line), stdin) == NULL)
 		return (0);
 	switch (tolower((unsigned char)*line)) {
@@ -593,11 +593,11 @@
 	len = 0;
 
 	if (flag == -1) {
-		(void)gettimeofday(&start, (struct timezone *)0);
+		gettimeofday(&start, (struct timezone *)0);
 		lastupdate = start;
 		lastsize = restart_point;
 	}
-	(void)gettimeofday(&now, (struct timezone *)0);
+	gettimeofday(&now, (struct timezone *)0);
 	if (!progress || filesize <= 0)
 		return;
 	cursize = bytes + restart_point;
@@ -666,14 +666,14 @@
 			    "%02d:%02d ETA", i / 60, i % 60);
 		}
 	}
-	(void)write(STDOUT_FILENO, buf, len);
+	write(STDOUT_FILENO, buf, len);
 
 	if (flag == -1) {
-		(void)signal(SIGALRM, updateprogressmeter);
+		signal(SIGALRM, updateprogressmeter);
 		alarmtimer(1);		/* set alarm timer for 1 Hz */
 	} else if (flag == 1) {
 		alarmtimer(0);
-		(void)putchar('\n');
+		putchar('\n');
 	}
 	fflush(stdout);
 }
@@ -698,7 +698,7 @@
 	if (!verbose && !siginfo)
 		return;
 
-	(void)gettimeofday(&now, (struct timezone *)0);
+	gettimeofday(&now, (struct timezone *)0);
 	timersub(&now, &start, &td);
 	elapsed = td.tv_sec + (td.tv_usec / 1000000.0);
 	bs = bytes / (elapsed == 0.0 ? 1 : elapsed);
@@ -721,7 +721,7 @@
 		    "  ETA: %02d:%02d:%02d\n", hh, remaining / 60,
 		    remaining % 60);
 	}
-	(void)write(siginfo ? STDERR_FILENO : STDOUT_FILENO, buf, len);
+	write(siginfo ? STDERR_FILENO : STDOUT_FILENO, buf, len);
 }
 
 /*
@@ -759,7 +759,7 @@
 			w = strlen(p);
 			while (w < width) {
 				w = (w + 8) &~ 7;
-				(void)putchar('\t');
+				putchar('\t');
 			}
 		}
 	}
Index: gcore/gcore.c
===================================================================
RCS file: /cvs/src/usr.bin/gcore/gcore.c,v
retrieving revision 1.6
diff -u -u -r1.6 gcore.c
--- gcore/gcore.c	21 Nov 2003 22:46:14 -0000	1.6
+++ gcore/gcore.c	7 Nov 2004 20:02:14 -0000
@@ -177,7 +177,7 @@
 		errx(1, "Invalid executable file");
 
 	if (corefile == NULL) {
-		(void)snprintf(fname, sizeof(fname), "core.%d", pid);
+		snprintf(fname, sizeof(fname), "core.%d", pid);
 		corefile = fname;
 	}
 	fd = open(corefile, O_RDWR|O_CREAT|O_TRUNC, DEFFILEMODE);
@@ -198,7 +198,7 @@
 	else
 		elf_coredump(fd, pid);
 
-	(void)close(fd);
+	close(fd);
 	exit(0);
 }
 
@@ -314,6 +314,6 @@
 void
 usage(void)
 {
-	(void)fprintf(stderr, "usage: gcore [-s] [-c core] [executable] pid\n");
+	fprintf(stderr, "usage: gcore [-s] [-c core] [executable] pid\n");
 	exit(1);
 }
Index: gcore/md-sparc.c
===================================================================
RCS file: /cvs/src/usr.bin/gcore/md-sparc.c,v
retrieving revision 1.4
diff -u -u -r1.4 md-sparc.c
--- gcore/md-sparc.c	21 Nov 2003 22:46:14 -0000	1.4
+++ gcore/md-sparc.c	7 Nov 2004 20:02:14 -0000
@@ -63,11 +63,11 @@
 {
 	char buffer[NBPG];
 
-	(void)lseek(fd, (off_t)-NBPG, SEEK_END);
+	lseek(fd, (off_t)-NBPG, SEEK_END);
 	for (; ssize > 0; ssize -= NBPG) {
-		(void)read(fd, buffer, NBPG);
-		(void)write(fd, buffer, NBPG);
-		(void)lseek(fd, (off_t)-2 * NBPG, SEEK_CUR);
+		read(fd, buffer, NBPG);
+		write(fd, buffer, NBPG);
+		lseek(fd, (off_t)-2 * NBPG, SEEK_CUR);
 	}
 }
 
@@ -107,7 +107,7 @@
 	off += offsetof(struct md_coredump, md_tf);
 	if (lseek(fd, off, SEEK_SET) == -1)
 		err(1, "lseek");
-	(void)write(fd, &tf, sizeof(tf));
+	write(fd, &tf, sizeof(tf));
 
 	if (ki->kp_proc.p_md.md_fpstate != 0) {
 		/*
@@ -121,7 +121,7 @@
 			errx(1, "kvm_read: %s (fpu state)", kvm_geterr(kd));
 		if (cc != sizeof(fs))
 			errx(1, "cannot read fpu state");
-		(void)write(fd, (char *)&fs, sizeof(fs));
+		write(fd, (char *)&fs, sizeof(fs));
 	}
 	/*
 	 * Read pcb.
@@ -165,16 +165,16 @@
 			ssize += NBPG;
 			s += NBPG;
 			++ki->kp_eproc.e_vm.vm_ssize;
-			(void)lseek(fd,
+			lseek(fd,
 			    (off_t)offsetof(struct user, u_kproc.kp_eproc.e_vm),
 			    SEEK_SET);
-			(void)write(fd,
+			write(fd,
 			    &ki->kp_eproc.e_vm, sizeof(ki->kp_eproc.e_vm));
 		}
 		if (lseek(fd, off + s, SEEK_SET) == -1)
 			errx(1, "cannot copy pcb windows to stack");
 
-		(void)write(fd, rw, sizeof(*rw));
+		write(fd, rw, sizeof(*rw));
 		sp = rw->rw_in[6];
 	}
 }
Index: gprof/aout.c
===================================================================
RCS file: /cvs/src/usr.bin/gprof/aout.c,v
retrieving revision 1.1
diff -u -u -r1.1 aout.c
--- gprof/aout.c	17 Jun 2003 02:56:09 -0000	1.1
+++ gprof/aout.c	7 Nov 2004 20:02:14 -0000
@@ -150,7 +150,7 @@
 		  xbuf.a_text );
 	return;
     }
-    (void) fseek( nfile , N_TXTOFF( xbuf ) , 0 );
+    fseek( nfile , N_TXTOFF( xbuf ) , 0 );
     if ( fread( textspace , 1 , xbuf.a_text , nfile ) != xbuf.a_text ) {
 	warnx("couldn't read text space: can't do -c");
 	free( textspace );
